unit uPedidosClienteViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils,
  uEditorPedidosCliente,
  uEditorPedidoCliente,
  uEditorPedidosClienteReport,
//  uEditorElegirPedidosCliente,
  uEditorElegirArticulosPedidoCliente,
  uEditorDireccionEntregaPedidoCliente;
//  uEditorSituacionPedidoCliente;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorDireccionEntregaPedidoCliente, 'EditorDireccionEntregaPedidoCliente');
  EditorRegistry.RegisterClass(TfEditorPedidosCliente, 'EditorPedidosCliente');
  EditorRegistry.RegisterClass(TfEditorPedidoCliente, 'EditorPedidoCliente');
//  EditorRegistry.RegisterClass(TfEditorElegirPedidosCliente, 'EditorElegirPedidosCliente');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosPedidoCliente, 'EditorElegirArticulosPedidoCliente');
  EditorRegistry.RegisterClass(TfEditorPedidosClientePreview, 'EditorPedidosClientePreview');
//  EditorRegistry.RegisterClass(TfEditorSituacionPedidoCliente, 'EditorSituacionPedidoCliente');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorDireccionEntregaPedidoCliente);
  EditorRegistry.UnRegisterClass(TfEditorPedidosCliente);
  EditorRegistry.UnRegisterClass(TfEditorPedidoCliente);
//  EditorRegistry.UnRegisterClass(TfEditorElegirPedidosCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosPedidoCliente);
  EditorRegistry.UnRegisterClass(TfEditorPedidosClientePreview);
//  EditorRegistry.UnRegisterClass(TfEditorSituacionPedidoCliente);
end;

end.

